Package pyamf :: Package remoting :: Module amf3 :: Class RequestProcessor

[hide private]
[frames] | no frames]

# Class RequestProcessor

source code

Instance Methods | [hide private]

__init__(self, gateway) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

Response

buildErrorResponse(self, request, error=None) Builds an error response. | source code

_getBody(self, amf_request, ro_request, **kwargs) | source code

_processCommandMessage(self, amf_request, ro_request, **kwargs) | source code

_processAsyncMessage(self, amf_request, ro_request, **kwargs) | source code

_processRemotingMessage(self, amf_request, ro_request, **kwargs) | source code

Response

__call__(self, amf_request, **kwargs) Processes an AMF3 Remote Object request. | source code

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, gateway)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)

### buildErrorResponse(self, request, error=None)

source code

Builds an error response.

Parameters:
  - `request` (Request) - The AMF request
Returns: Response
  The AMF response

### _getBody(self, amf_request, ro_request, **kwargs)

source code

Raises:
  - `ServerCallFailed` - Unknown request.

### _processCommandMessage(self, amf_request, ro_request, **kwargs)

source code

Raises:
  - `ServerCallFailed` - Unknown Command operation.
  - `ServerCallFailed` - Authorization is not supported in RemoteObject.

### __call__(self, amf_request, **kwargs)
(Call operator)

source code

Processes an AMF3 Remote Object request.

Parameters:
  - `amf_request` (Request) - The request to be processed.
Returns: Response
  The response to the request.